import javax.swing.*;

import java.awt.*;

public class CoffreFin extends Coffre {
	boolean fin =false;
	int compteur = 0;
	public CoffreFin(float x, float y, int largeur, int hauteur) {
		super(x,y,largeur,hauteur);
	}
	
	public void tick(){
		ouverture();
	
	}
	
	
	public void ouverture(){
		
		if(area.intersects(Fenetre.j1.getCollisionBounds(0,0)) && ouvert == 0 && Fenetre.clavier.enter){
			ouvert=1;
			fin=true;
		}
	}
	
	//Si on ouvre le coffre de fin, on efface les entités, on affiche l'image de fin et on quitte le jeu
	public void dessine(Graphics g,JPanel jp){
		g.drawImage(ImageLoader.ImgLoader("coffre"+ouvert+".gif"), (int) (x - Fenetre.camera.getxOffset()) , (int) (y - Fenetre.camera.getyOffset()), largeur, hauteur, jp);
		if(fin){
			for(int i =0; i<Fenetre.gEntite.getEntites().size();i++){
				Entite e = Fenetre.gEntite.getEntites().get(i);
				if(e.equals(this))
					continue;
				else
					Fenetre.gEntite.getEntites().remove(e);	
			
				
		}
			g.drawImage(ImageLoader.ImgLoader("fin.gif"),0,0,jp);
			compteur++;
			
		
		}
		if(compteur > 100)
			System.exit(0);
	
	}
	
	
}

